VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Static Public Attributes | List of all members
IParameterFinder Class Referenceabstract
Graphical User Interface

Extension for IPlugView to find view parameters (lookup value under mouse support): Vst::IParameterFinder. More...

`#include <ivstplugview.h>`

Inheritance diagram for IParameterFinder:

## Public Member Functions
virtual tresult | findParameter (int32 xPos, int32 yPos, ParamID &resultTag)=0
| Find out which parameter in plug-in view is at given position (relative to plug-in view).
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Extension for IPlugView to find view parameters (lookup value under mouse support): Vst::IParameterFinder.

- [plug imp]
- [extends IPlugView]
- [released: 3.0.2]
- [optional]

It is highly recommended to implement this interface. A host can implement important functionality when a plug-in supports this interface.

For example, all Steinberg hosts require this interface in order to support the "AI Knob".

## Member Function Documentation

virtual tresult findParameter | ( | int32 | xPos,
|  | int32 | yPos,
|  | ParamID & | resultTag
| ) |  |
| pure virtual

Find out which parameter in plug-in view is at given position (relative to plug-in view).

## Member Data Documentation

const FUID iid
| static

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.